Summary: a free cross-platform MP3 encoder
Name: bladeenc
Version: 0.92.5
%define srcver 0.92.5-src-stable
Release: 1
Group: Applications/Sound
Copyright: LGPL
Url: http://bladeenc.mp3.no/
Vendor: Tord Jansson
Packager: Hao Li <hli@wag.caltech.edu>
Source: http://bladeenc.mp3.no/source/bladeenc-%{srcver}.tar.gz
BuildRoot: /var/tmp/%{name}-root
Obsoletes: BladeEnc

%description
Blade's MP3 Encoder (BladeEnc) is a freeware MP3 encoder. It is based on
the same ISO compression routines as mpegEnc, so you can expect roughly
the same, or better, quality. The main difference is the appearance and
speed. BladeEnc doesn't have a nice, user-friendly interface like mpegEnc,
but it is more than three times faster, and it works with several popular
front-end graphical user interfaces. 


%prep
%setup -q


%build
CFLAGS="-O3 -mcpu=i686" LDFLAGS="-s" ./configure --prefix=/usr
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
/usr/bin/*


%clean
rm -rf $RPM_BUILD_ROOT
